GeneXus X Evolution 3 Upgrade 1

Official Content
This documentation is valid for:

This article is an overview of what Upgrade 1 features (compared to GeneXus X Evolution 3 Release) and what needs to be taken into account in order to adopt it.

Status: Released on August 19th, 2014

Download

Overview

GeneXus X Evolution 3 Upgrade 1 resolves compatibility issues for those who convert their Knowledge Bases from previous versions, improves performance, fixes memory leaks and others.

iOS

Android & iOS

IDE

Compatibility

Compatibility Notes for X Evolution 3 or prior Users

  • Major fixes in the protection system. Version 9.5.14 of the protection is required in order to use this or higher versions. This upgrade must be installed using the GeneXus setup. If you are using  the centralized licenses scheme and/or the GeneXus Protection Server, you must download and install version 9.5.14 or higher.
    Error "Invalid protection version XXX, required version 9.5.14 or higher." will be displayed if the protection is outdated:
    RequiredPS9-5-14.png
    See SAC #36269 for further details.
     
  • iOS PKCS12 Push Notifications certificate (*.p12) has to be stored in the KB (A Selector is provided in the iOS PKCS12 Certificate property for that purpose). If that property is not set correctly, an "access denied" error will happen in the server when notification is sent. See SAC #36369 for further details.  

Compatibility Notes for X Evolution 2 Users

Please refer to GeneXus X Evolution 3 Compatibility Section

Previews

Before releasing, some previews were available, see GeneXus X Evolution 3 Upgrade 1 Preview for details.

Was this page helpful?
What Is This?
Your feedback about this content is important. Let us know what you think.